RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Entity.RobotMatch Class Reference

## Public Member Functions
| RobotMatch ()
| RobotMatch (Robot _robot, MatchGroup _group, Playground _playground, MatchState _state)
long | getID ()
float | getScore ()
long | getRobotID ()
long | getRobotNumber ()
String | getRobotName ()
long | getTeamID ()
long | getGroupID ()
long | getPlaygroundID ()
MatchState | getState ()
Robot | getRobot ()
Playground | getPlayground ()
MatchGroup | getMatchGroup ()
void | setScore (float _score)
void | setRobot (Robot _robot)
void | setPlaygrond (Playground _playground)
void | setMatchState (MatchState _state)

## Detailed Description

Entita reprezentujici zapas

## Constructor & Destructor Documentation

## ◆ RobotMatch() [1/2]

com.robogames.RoboCupMS.Entity.RobotMatch.RobotMatch | ( |  | ) |
| inline

Vytvori "naplanuje" zapas. Je mozne planovat skupinove zapasy (robo sumu, robo strong, ...), nebo jen ciste zapsat vysledek zapasu (line follower => cas)

## ◆ RobotMatch() [2/2]

com.robogames.RoboCupMS.Entity.RobotMatch.RobotMatch | ( | Robot | _robot,
|  | MatchGroup | _group,
|  | Playground | _playground,
|  | MatchState | _state
| ) |  |
| inline

Vytvori "naplanuje" zapas. Je mozne planovat skupinove zapasy (robo sumu, robo strong, ...), nebo jen ciste zapsat vysledek zapasu (line follower => cas)

Parameters

  _robot | Robot, ktery bude soutezit
  _group | Skupina, ve ktere robot soutezi (null -> pokud nesoutezi v zadne skupine)
  _playground | Hriste, na kterem se bude soutezit
  _state | Aktualni stav zapasu

## Member Function Documentation

## ◆ getGroupID()

long com.robogames.RoboCupMS.Entity.RobotMatch.getGroupID | ( |  | ) |
| inline

Navrati ID zapasove skupiny. Pokud neni ve zadne skupine navrati MatchGroup.NOT_IN_GROUP

Returns
  ID zapasove skupiny

## ◆ getID()

long com.robogames.RoboCupMS.Entity.RobotMatch.getID | ( |  | ) |
| inline

Navrati ID zapasu

Returns
  ID zapasu

## ◆ getMatchGroup()

MatchGroup com.robogames.RoboCupMS.Entity.RobotMatch.getMatchGroup | ( |  | ) |
| inline

Navrati zapasovou skupinu

Returns
  Zapasova skupina

## ◆ getPlayground()

Playground com.robogames.RoboCupMS.Entity.RobotMatch.getPlayground | ( |  | ) |
| inline

Navrati hriste

Returns
  Hriste

## ◆ getPlaygroundID()

long com.robogames.RoboCupMS.Entity.RobotMatch.getPlaygroundID | ( |  | ) |
| inline

Navrati ID hriste, na kterem se kona zapas

Returns
  ID hriste

## ◆ getRobot()

Robot com.robogames.RoboCupMS.Entity.RobotMatch.getRobot | ( |  | ) |
| inline

Navrati robota

Returns
  Robot

## ◆ getRobotID()

long com.robogames.RoboCupMS.Entity.RobotMatch.getRobotID | ( |  | ) |
| inline

Navrati ID robota

Returns
  ID robota

## ◆ getRobotName()

String com.robogames.RoboCupMS.Entity.RobotMatch.getRobotName | ( |  | ) |
| inline

Navrati jmeno robota

Returns
  Jmeno robota

## ◆ getRobotNumber()

long com.robogames.RoboCupMS.Entity.RobotMatch.getRobotNumber | ( |  | ) |
| inline

Navrati identifikacni cislo robota

Returns
  Identifikacni cislo robota

## ◆ getScore()

float com.robogames.RoboCupMS.Entity.RobotMatch.getScore | ( |  | ) |
| inline

Navrati skore zapasu

Returns
  Skore

## ◆ getState()

MatchState com.robogames.RoboCupMS.Entity.RobotMatch.getState | ( |  | ) |
| inline

Navrati aktualni stav zapasu

Returns
  Aktualni stav zapasu

## ◆ getTeamID()

long com.robogames.RoboCupMS.Entity.RobotMatch.getTeamID | ( |  | ) |
| inline

Navrati ID tymu

Returns
  ID tymu

## ◆ setMatchState()

void com.robogames.RoboCupMS.Entity.RobotMatch.setMatchState | ( | MatchState | _state | ) |
| inline

Zmeni aktualni stav zapasu

Parameters

  _state | Novy stav zapasu

## ◆ setPlaygrond()

void com.robogames.RoboCupMS.Entity.RobotMatch.setPlaygrond | ( | Playground | _playground | ) |
| inline

Zmeni hriste

Parameters

  _playground | Nove hriste

## ◆ setRobot()

void com.robogames.RoboCupMS.Entity.RobotMatch.setRobot | ( | Robot | _robot | ) |
| inline

Zmeni robota

Parameters

  _robot | Novy robot

## ◆ setScore()

void com.robogames.RoboCupMS.Entity.RobotMatch.setScore | ( | float | _score | ) |
| inline

Nastavi score zapasu

Parameters

  _score | Score

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/RobotMatch.java